# Class SocketOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable`

public class SocketOutputStream extends FilterOutputStream
Convenience class for writing bytes to a Socket.

Since:
  2.13

## Field Summary

### Fields inherited from class FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`SocketOutputStream(InetSocketAddress inetSocketAddress)`
`SocketOutputStream(Socket socket)`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`getSocket()`
Return the underlying Socket
`String`
`toString()`

### Methods inherited from class FilterOutputStream

`close, flush, write, write, write`

### Methods inherited from class OutputStream

`nullOutputStream`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SocketOutputStream

public SocketOutputStream(InetSocketAddress inetSocketAddress) throws IOException

Throws:
  `IOException`

### SocketOutputStream

public SocketOutputStream(Socket socket) throws IOException

Throws:
  `IOException`

## Method Details

### getSocket

public Socket getSocket()
Return the underlying Socket

Returns:
  the underlying `Socket`

### toString

public String toString()

Overrides:
  `toString` in class `Object`